PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_freeplan

## Name

SPI_freeplan -- Releases a previously saved plan

## Synopsis

    SPI_freeplan(plan)

### Inputs

void *`plan`

  Passed plan

### Outputs

int

  SPI_ERROR_ARGUMENT if plan is NULL

## Description

`SPI_freeplan` releases a query plan previously returned by `SPI_prepare` or saved by `SPI_saveplan`.

Prev | Home | Next
SPI_freetuptable | Up | Visibility of Data Changes